Package ietf.params.xml.ns.icalendar_2

# Enum Class FreqRecurType

java.lang.Object
java.lang.Enum<FreqRecurType>
ietf.params.xml.ns.icalendar_2.FreqRecurType

All Implemented Interfaces:
  `Serializable`, `Comparable<FreqRecurType>`, `Constable`

public enum FreqRecurType extends Enum<FreqRecurType>

Java class for FreqRecurType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="FreqRecurType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="SECONDLY"/>
         <enumeration value="MINUTELY"/>
         <enumeration value="HOURLY"/>
         <enumeration value="DAILY"/>
         <enumeration value="WEEKLY"/>
         <enumeration value="MONTHLY"/>
         <enumeration value="YEARLY"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAILY`
  `HOURLY`
  `MINUTELY`
  `MONTHLY`
  `SECONDLY`
  `WEEKLY`
  `YEARLY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FreqRecurType`
  `fromValue(String v)`
  `String`
  `value()`
  `static FreqRecurType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FreqRecurType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SECONDLY

    public static final FreqRecurType SECONDLY

  - ### MINUTELY

    public static final FreqRecurType MINUTELY

  - ### HOURLY

    public static final FreqRecurType HOURLY

  - ### DAILY

    public static final FreqRecurType DAILY

  - ### WEEKLY

    public static final FreqRecurType WEEKLY

  - ### MONTHLY

    public static final FreqRecurType MONTHLY

  - ### YEARLY

    public static final FreqRecurType YEARLY

- ## Method Details

  - ### values

    public static FreqRecurType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FreqRecurType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static FreqRecurType fromValue(String v)